Subject: Re: bug#52510: guix install - profile build takes forever

From: Florian Hoertlehner <[email-masked]>
Date: Thu, 23 Dec 2021 16:40:33 +0100

With the merge of core-update-frozen this issue went away. :-)
I hope it does not reappear.

On Wed, Dec 15, 2021 at 2:31 PM Ludovic Courtès <[email-masked]> wrote:

> Hi Florian,
>
> Florian Hoertlehner <[email-masked]> skribis:
>
> > I use guix 1.3, and a simple guix install takes forever. It hangs 2-10
> > minutes in the profile build phase.
> > I have a NVME drive, and see 10-80 MB/sec IO Write in this timeframe.
> >
> > In the terminal I see: "building profile with 159 packages..."
> > Then I have to wait 5 minutes.
>
> So it’s really this “building profile” part that takes 5mn, right?
>
> Could you share the output of ‘guix package --export-manifest’ (or ‘guix
> package -I’)?  You can share it privately if you prefer not to make it
> public.
>
> On a 5yo SSD, and with 300+ packages in my profile, this part usually
> takes a few seconds.  But it could be that for some packages, in
> particular packages with lots of propagated inputs, this operation takes
> longer.
>
> Thanks,
> Ludo’.
>